StorageProxyMBean (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Interface StorageProxyMBean

All Known Implementing Classes:
  StorageProxy

    public interface StorageProxyMBean

Method Summary
`boolean` | `getHintedHandoffEnabled()`
`int` | `getHintsInProgress()`
`int` | `getMaxHintsInProgress()`
`int` | `getMaxHintWindow()`
`long` | `getRangeOperations()`
`long` | `getReadOperations()`
`long[]` | `getRecentRangeLatencyHistogramMicros()`
`double` | `getRecentRangeLatencyMicros()`
`long[]` | `getRecentReadLatencyHistogramMicros()`
`double` | `getRecentReadLatencyMicros()`
`long[]` | `getRecentWriteLatencyHistogramMicros()`
`double` | `getRecentWriteLatencyMicros()`
`java.lang.Long` | `getRpcTimeout()`
`long` | `getTotalHints()`
`long[]` | `getTotalRangeLatencyHistogramMicros()`
`long` | `getTotalRangeLatencyMicros()`
`long[]` | `getTotalReadLatencyHistogramMicros()`
`long` | `getTotalReadLatencyMicros()`
`long[]` | `getTotalWriteLatencyHistogramMicros()`
`long` | `getTotalWriteLatencyMicros()`
`long` | `getWriteOperations()`
`void` | `setHintedHandoffEnabled(boolean b)`
`void` | `setMaxHintsInProgress(int qs)`
`void` | `setMaxHintWindow(int ms)`
`void` | `setRpcTimeout(java.lang.Long timeoutInMillis)`

Method Detail

### getReadOperations

    long getReadOperations()

### getTotalReadLatencyMicros

    long getTotalReadLatencyMicros()

### getRecentReadLatencyMicros

    double getRecentReadLatencyMicros()

### getTotalReadLatencyHistogramMicros

    long[] getTotalReadLatencyHistogramMicros()

### getRecentReadLatencyHistogramMicros

    long[] getRecentReadLatencyHistogramMicros()

### getRangeOperations

    long getRangeOperations()

### getTotalRangeLatencyMicros

    long getTotalRangeLatencyMicros()

### getRecentRangeLatencyMicros

    double getRecentRangeLatencyMicros()

### getTotalRangeLatencyHistogramMicros

    long[] getTotalRangeLatencyHistogramMicros()

### getRecentRangeLatencyHistogramMicros

    long[] getRecentRangeLatencyHistogramMicros()

### getWriteOperations

    long getWriteOperations()

### getTotalWriteLatencyMicros

    long getTotalWriteLatencyMicros()

### getRecentWriteLatencyMicros

    double getRecentWriteLatencyMicros()

### getTotalWriteLatencyHistogramMicros

    long[] getTotalWriteLatencyHistogramMicros()

### getRecentWriteLatencyHistogramMicros

    long[] getRecentWriteLatencyHistogramMicros()

### getTotalHints

    long getTotalHints()

### getHintedHandoffEnabled

    boolean getHintedHandoffEnabled()

### setHintedHandoffEnabled

    void setHintedHandoffEnabled(boolean b)

### getMaxHintWindow

    int getMaxHintWindow()

### setMaxHintWindow

    void setMaxHintWindow(int ms)

### getMaxHintsInProgress

    int getMaxHintsInProgress()

### setMaxHintsInProgress

    void setMaxHintsInProgress(int qs)

### getHintsInProgress

    int getHintsInProgress()

### getRpcTimeout

    java.lang.Long getRpcTimeout()

### setRpcTimeout

    void setRpcTimeout(java.lang.Long timeoutInMillis)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation